LegacyQuantizedByteVectorValues (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.util.quantization, class: LegacyQuantizedByteVectorValues

Package org.apache.lucene.util.quantization

# Class LegacyQuantizedByteVectorValues

java.lang.Object
org.apache.lucene.index.KnnVectorValues
org.apache.lucene.index.ByteVectorValues
org.apache.lucene.util.quantization.BaseQuantizedByteVectorValues
org.apache.lucene.util.quantization.LegacyQuantizedByteVectorValues

All Implemented Interfaces:
  `HasIndexSlice`

public abstract class LegacyQuantizedByteVectorValues extends BaseQuantizedByteVectorValues
A version of `BaseQuantizedByteVectorValues`, but additionally retrieving score correction offset for Scalar quantization scores.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.index.KnnVectorValues

  `KnnVectorValues.DocIndexIterator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LegacyQuantizedByteVectorValues()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LegacyQuantizedByteVectorValues`
  `copy()`
  Creates a new copy of this `KnnVectorValues`.
  `ScalarQuantizer`
  `getScalarQuantizer()`
  `abstract float`
  `getScoreCorrectionConstant(int ord)`

  ### Methods inherited from class org.apache.lucene.util.quantization.BaseQuantizedByteVectorValues

  `getSlice, scorer`

  ### Methods inherited from class org.apache.lucene.index.ByteVectorValues

  `checkField, fromBytes, getEncoding, rescorer, scorer, vectorValue`

  ### Methods inherited from class org.apache.lucene.index.KnnVectorValues

  `createDenseIterator, createSparseIterator, dimension, fromDISI, getAcceptOrds, getVectorByteLength, iterator, ordToDoc, prefetch, size`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LegacyQuantizedByteVectorValues

    public LegacyQuantizedByteVectorValues()

- ## Method Details

  - ### getScalarQuantizer

    public ScalarQuantizer getScalarQuantizer()

  - ### getScoreCorrectionConstant

    public abstract float getScoreCorrectionConstant(int ord) throws IOException
    Throws:
      `IOException`

  - ### copy

    public LegacyQuantizedByteVectorValues copy() throws IOException
    Description copied from class: `KnnVectorValues`
    Creates a new copy of this `KnnVectorValues`. This is helpful when you need to access different values at once, to avoid overwriting the underlying vector returned.
    Specified by:
      `copy` in class `ByteVectorValues`
    Throws:
      `IOException`